SchemaElement
Keywords: uk.ac.ic.doc.automed.matching.SchemaElement,SchemaElement class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching
Class SchemaElement

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.matching.SchemaElement

public class SchemaElement
extends java.lang.Object

Constructor Summary
`SchemaElement(int hashCode, SchemaObject o, boolean isAtomic)`

Method Summary
`void` | `addInstance(java.lang.String inst)`
`boolean` | `containsInstance(java.lang.String s)`
`boolean` | `equals(java.lang.Object o)`
`int` | `getDataType()`
`java.lang.String[]` | `getDistinctInstances()`
`static SchemaElement` | `getElement(SchemaObject o, boolean isAtomic)`
`static SchemaElement` | `getElement(java.lang.String hashCode, boolean isAtomic)`
`Instance[]` | `getInstancesSorted()`
`java.lang.String` | `getName()`
`java.lang.String` | `getRandomInstance()`
`SchemaObject` | `getSchemaObject()`
`int` | `hashCode()`
`boolean` | `isAtomic()`
`int` | `numOfInstances()`
`static void` | `printElements()`
`void` | `setDataType(int type)`
`void` | `setInstances(java.util.ArrayList insts)`
`void` | `setName(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SchemaElement

    public SchemaElement(int hashCode,
                         SchemaObject o,
                         boolean isAtomic)

Method Detail

### isAtomic

    public boolean isAtomic()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getSchemaObject

    public SchemaObject getSchemaObject()

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setDataType

    public void setDataType(int type)

### getDataType

    public int getDataType()

### addInstance

    public void addInstance(java.lang.String inst)

### getRandomInstance

    public java.lang.String getRandomInstance()
                                       throws UninstantiatedException

    `UninstantiatedException`

### containsInstance

    public boolean containsInstance(java.lang.String s)

### numOfInstances

    public int numOfInstances()

### setInstances

    public void setInstances(java.util.ArrayList insts)

### getDistinctInstances

    public java.lang.String[] getDistinctInstances()

### getInstancesSorted

    public Instance[] getInstancesSorted()

### printElements

    public static void printElements()

### getElement

    public static SchemaElement getElement(java.lang.String hashCode,
                                           boolean isAtomic)

### getElement

    public static SchemaElement getElement(SchemaObject o,
                                           boolean isAtomic)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD